Page MenuHomePhabricator

Extension registration wall of superpowers lists WikibaseQualityConstraints as not converted
Closed, ResolvedPublic

Description

WikibaseQualityConstraints was converted to extension registration long ago (T106104), but is still listed as unconverted on the Extension Registration Wall of Sadness/Superpowers/Shame. I have no idea why, since I can find no documentation at all for this tool. CCing @Legoktm and @Reedy since they’re listed on its toolsadmin page.

Event Timeline

Restricted Application added a project: Wikidata. · View Herald TranscriptMar 1 2019, 12:48 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Reedy added a comment.Mar 1 2019, 3:12 PM

Looks like the working copy is in a bit of a mess

From https://gerrit.wikimedia.org/r/p/mediawiki/extensions/WikibaseQualityConstraints
   e8f20dc..ec1a834  master     -> origin/master
error: Your local changes to the following files would be overwritten by checkout:
	.gitignore
Please, commit your changes or stash them before you can switch branches.
Aborting
Reedy added a comment.Mar 1 2019, 3:36 PM

Except, I don't think the tool uses that anymore

Reedy added a comment.EditedMar 1 2019, 3:46 PM

Hacking around with the script...

json_data = get_phab_file('mediawiki/%s/%s' % ('extensions', 'CodeReview'), 'extension.json')
print( json_data )

^ Works fine

json_data = get_phab_file('mediawiki/%s/%s' % ('extensions', 'WikibaseQualityConstraints'), 'extension.json')
print( json_data )

Returns none...

It should be getting https://phabricator.wikimedia.org/r/p/mediawiki/extensions/WikibaseQualityConstraints;browse/master/extension.json?view=raw (which works in a web browser)

Reedy added a comment.Mar 1 2019, 3:53 PM

Just doing...

print(json.loads(ci.get_gerrit_file('mediawiki/extensions/WikibaseQualityConstraints', 'extension.json')))

Traceback (most recent call last):
  File "/data/project/extreg-wos/www/python/src/generate.py", line 239, in <module>
    main()
  File "/data/project/extreg-wos/www/python/src/generate.py", line 202, in main
    print(json.loads(ci.get_gerrit_file('mediawiki/extensions/WikibaseQualityConstraints', 'extension.json')))
  File "/usr/lib/python3.4/json/__init__.py", line 318, in loads
    return _default_decoder.decode(s)
  File "/usr/lib/python3.4/json/decoder.py", line 343, in decode
    obj, end = self.raw_decode(s, idx=_w(s, 0).end())
  File "/usr/lib/python3.4/json/decoder.py", line 361, in raw_decode
    raise ValueError(errmsg("Expecting value", s, err.value)) from None
ValueError: Expecting value: line 1 column 1 (char 0)

The extension.json contains some non-ASCII characters, perhaps an UTF-8 encoding needs to be specified?

So it seems a lot like a Gerrit bug in some way or another...

NewsTicker is a very new repo, but that works fine

$ git ls-remote gerrit:mediawiki/extensions/WikibaseQualityConstraints.git | grep master
20b77092c9c0854e48d7338f167367698940145a        refs/gerrit/master
7d2dc6015b5d9dfd05783b37e1161bfeca18a459        refs/heads/master
76ea7012ff79dac5a495d0f4266b13470be8d115        refs/master
$ git ls-remote gerrit:mediawiki/extensions/CodeReview.git | grep master
0275d3c62fc2ffbf0d90b4c59fc9d11e6b45f7f8        refs/heads/master

Huh, not sure why we have three master refs… I guess Gitiles returns 404 because “master” alone is ambiguous?

refs/gerrit/master is a very old commit, and the refs/master object doesn’t even exist in my clone. I’ll try to get rid of them.

Reedy added a comment.Mar 1 2019, 4:06 PM

I guess that'd explain the 404 in some regard. extension.json probably doesn't exist on the ooold commits they're pointing at

Yeah. I tried running git push gerrit :refs/master :refs/gerrit/master but apparently I don’t have the rights to delete either of those references. Does anyone else want to try?

Reedy added a comment.Mar 1 2019, 4:09 PM

I've just given wmde "Delete reference" on https://gerrit.wikimedia.org/r/#/admin/projects/mediawiki/extensions/WikibaseQualityConstraints,access

Want to try again, and I'll remove the right again after?

Yup, seems to have worked. Thanks! How long until the WoS updates the next time?

Mentioned in SAL (#wikimedia-releng) [2019-03-01T16:11:37Z] <Lucas_WMDE> delete refs/master and refs/gerrit/master on WikibaseQualityConstraints repository T217408

Reedy added a comment.Mar 1 2019, 4:11 PM

https://gerrit.wikimedia.org/g/mediawiki/extensions/WikibaseQualityConstraints/+/master/extension.json?format=TEXT works now, so I think all good

I believe it runs at midnight, but if I remove my hacks from the script, I think I can submit it to run now

Reedy added a comment.Mar 1 2019, 4:14 PM
tools.extreg-wos@tools-bastion-03:~/www/python/src$ qstat
job-ID  prior   name       user         state submit/start at     queue                          slots ja-task-ID 
-----------------------------------------------------------------------------------------------------------------
2914014 0.30000 generate   tools.extreg r     03/01/2019 16:13:07 task@tools-exec-1432.tools.eqi     1

:)

Lucas_Werkmeister_WMDE closed this task as Resolved.Mar 1 2019, 4:14 PM
Lucas_Werkmeister_WMDE assigned this task to Reedy.

Website looks good now, thank you :)